明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1637|回复: 1

视口缩放

[复制链接]
发表于 2005-11-30 14:07:00 | 显示全部楼层 |阅读模式

  acedCommand(RTSTR, "Zoom", RTSTR, "Window", RTPOINT, dZoomMin,
     RTPOINT, dZoomMax, RTNONE);

上面是我用command命令实现的视口缩放的功能,

请问如果不用command命令,该怎么做呢?

寻求帮助,谢谢!!!

发表于 2005-11-30 20:36:00 | 显示全部楼层

reply

应该发在arx版块:

void zoomWindow(AcGePoint3d &min, AcGePoint3d &max)
{
 // get the extents of the drawing
 AcDbViewTableRecord view;

 AcGePoint2d max_2d (max[X], max[Y]);
 AcGePoint2d min_2d (min[X], min[Y]);
 // now set the view center point
 view.setCenterPoint(min_2d + (max_2d - min_2d) / 2.0);
 // now height and width of view
 view.setHeight(max_2d[Y] - min_2d[Y]);
 view.setWidth(max_2d[X] - min_2d[X]);
 // set the view
 acedSetCurrentView(&view, NULL);
 // update the extents
 acdbHostApplicationServices()->workingDatabase()->updateExt(TRUE);
}

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 08:46 , Processed in 0.168745 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表